# 线上环境配置
server:
  # 服务器的HTTP端口，默认为8080
  port: 6060
  servlet:
    # 应用的访问路径
    context-path: /
  tomcat:
    # tomcat的URI编码
    uri-encoding: UTF-8
    # tomcat最大线程数，默认为200
    max-threads: 800
    # Tomcat启动初始化的线程数，默认值25
    min-spare-threads: 30


# 数据源配置
spring:
  datasource:
    type: com.alibaba.druid.pool.DruidDataSource
    driverClassName: com.mysql.cj.jdbc.Driver
    druid:
      # 主库数据源
      master:
        url: jdbc:mysql://rm-uf6ntu739v8288zxjro.mysql.rds.aliyuncs.com:3306/home_system?useUnicode=true&characterEncoding=utf8&zeroDateTimeBehavior=convertToNull&useSSL=true&serverTimezone=GMT%2B8&allowMultiQueries=true
        username: home_user
        password: uxx@2022
      # 从库数据源
      slave:
        # 从数据源开关/默认关闭
        enabled: false
        url:
        username:
        password:
      # 初始连接数
      initialSize: 5
      # 最小连接池数量
      minIdle: 10
      # 最大连接池数量
      maxActive: 20
      # 配置获取连接等待超时的时间
      maxWait: 60000
      # 配置间隔多久才进行一次检测，检测需要关闭的空闲连接，单位是毫秒
      timeBetweenEvictionRunsMillis: 60000
      # 配置一个连接在池中最小生存的时间，单位是毫秒
      minEvictableIdleTimeMillis: 300000
      # 配置一个连接在池中最大生存的时间，单位是毫秒
      maxEvictableIdleTimeMillis: 900000
      # 配置检测连接是否有效
      validationQuery: SELECT 1 FROM DUAL
      testWhileIdle: true
      testOnBorrow: false
      testOnReturn: false
      webStatFilter:
        enabled: true
      statViewServlet:
        enabled: true
        # 设置白名单，不填则允许所有访问
        allow:
        url-pattern: /druid/*
        # 控制台管理用户名和密码
        login-username: elev
        login-password: 123456
      filter:
        stat:
          enabled: true
          # 慢SQL记录
          log-slow-sql: true
          slow-sql-millis: 1000
          merge-sql: true
        wall:
          config:
            multi-statement-allow: true
  data:
    mongodb:
      uri: mongodb://root:123456@47.102.195.231:27017/elev_data?authSource=admin&authMechanism=SCRAM-SHA-1
  # redis 配置
  redis:
    # 地址
    host: 47.102.195.231
    # 端口，默认为6379
    port: 6379
    # 数据库索引
    database: 3
    # 密码
    password: uxx123456
    # 连接超时时间
    timeout: 10s
    lettuce:
      pool:
        # 连接池中的最小空闲连接
        min-idle: 0
        # 连接池中的最大空闲连接
        max-idle: 8
        # 连接池的最大数据库连接数
        max-active: 8
        # #连接池最大阻塞等待时间（使用负值表示没有限制）
        max-wait: -1ms
  rabbitmq:
    host: 47.101.57.3
    port: 5672
    virtual-host: /
    username: youxianxin
    password: youxianxin@2021

oss:
  endpoint: oss-cn-shanghai.aliyuncs.com
  keyid: LTAI88rwaldHLQei
  keysecret: TblIpmrYwpsbTrJowCQHKFi0vOEwkF
  bucketname: fresh-life
  filehost: http://fresh-life.oss-cn-shanghai.aliyuncs.com/
  filepath: upload

wechat:
  appId: wx4b8aae53e2b997d2
  secret: 468f76b504250072865ee40255bbdea7
# 微信小程序常量
  openidUrl: https://api.weixin.qq.com/sns/jscode2session
  xcx:
    openidUrl: https://api.weixin.qq.com/sns/jscode2session
    appid: wx33d3117c800cede9
    secret: a900519471eafee2967c216355b1ee20

  #梯控服务
elevator:
  domain : https://elev.uxianxin.com/api/elevBind/

## 2021-8-28 Another award 验签参数
award:
  port: 8096
  appId: 10000001
  secret_key: 5fb76aae3939eb5815e8bf13
  sign: 5eae4830bf7ec57d579989487121a507
  ## 2021-8-26 Another 服务器ip
  # server.domainName = http://47.101.57.3
  # 2021-09-26 域名
#  domainName: https://plateform.uxianxin.com
  domainName: http://47.101.57.3:8096
  ## 优鲜信商户号
  youxianxin:
    merchant_number: 570253152041363777

#WeChatPay配置
wechatpay:
  body: 保证金充值
  appid: wxf2b3201ef7c9cc2e
  ##公众号密钥
  appsecret: 822c6f7be17351c15813daf2a1ff792f
  ##微信支付商户号
  mchid: 1562727221

  ##微信支付API秘钥
  key: 142d590599bd969c57f27128ccf1f25e

  certpath: cert/apiclient_cert.p12
  ##微信统一下单url
  unified-order-url: https://api.mch.weixin.qq.com/v3/pay/transactions/native
  ##微信统一查询订单url
  order-query-url: https://api.mch.weixin.qq.com/pay/orderquery
  ##微信统一查询退款url
  refund-query-url: https://api.mch.weixin.qq.com/pay/refundquery
  ## 微信统一关闭订单url
  close-order-url: https://api.mch.weixin.qq.com/pay/closeorder
  ## 微信申请退款url
  refund-url: https://api.mch.weixin.qq.com/secapi/pay/refund
  ## 微信支付结果通知url
  notify-url: http://frps.uxskj.com:7002/store-api/wxAppPay/callback

  notify-refund-url: http://gd.maol.yulixiaopeng.top/wxPay/refundcallback
  ##微信交易类型:公众号支付、小程序支付
  trade-type-jsapi: JSAPI
  ## 原生扫码支付
  trade-type-native: NATIVE
  ## 微信交易类型:APP支付
  trade-type-app: APP

  choise :  0

  desc: 配送费提现
  ## 微信付款到零钱url
  trans-domain: api.mch.weixin.qq.com/mmpaymkttransfers/promotion/
  trans-urlSuffix: transfers
  trans-appid: wx3f16b650a6a0bec0

